// javac --enable-preview --release 12 List3.java
// java --enable-preview List3
public class List3 {

	enum WEEKLY_DAY {
		MONDAY,
		TUESDAY,
		WEDNESDAY,
		THURSDAY,
		FRIDAY,
		SATURDAY,
		SUNDAY,
	}

	public static void main(String... args) {
		final WEEKLY_DAY day = WEEKLY_DAY.MONDAY; // 仮の値

		// ここから本文で触れた箇所
		String gomi = switch (day) {
			// switch文と同じ書き方(case XXX:)をする
			case MONDAY, THURSDAY:
				// "break 返り値"という書き方をする
				break "燃えるゴミ";
			case FRIDAY:
				break "燃えないゴミ";
			case WEDNESDAY:
				break "リサイクルゴミ";
			case TUESDAY, SATURDAY, SUNDAY:
				// break前に実行したい処理を書く
				System.out.println("ゴミ収集はお休みです。");
				break "なし";
			default:
				// throwにはbreakはいらない
				throw new IllegalStateException("Invalid day: " + day);
		};
		// ここまで

		System.out.println(gomi);
	}
}
